curl --request POST \
--url https://{cluster}.voucherify.io/v2/loyalties/programs/{programId}/earning-rules/batch \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"assign": [
{
"id": "<string>"
}
],
"unassign": [
{
"id": "<string>"
}
],
"options": {
"strict": true
}
}
'{
"assigned": [
{
"earning_rule_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "program_earning_rule"
}
],
"unassigned": [
{
"earning_rule_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "program_earning_rule"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Batch assign/unassign earning rules
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Assigns and/or unassigns earning rules to/from a program in a single batch.
Unassign operations are processed before assign operations. When the program is
ACTIVE, the batch is validated to leave at least one active earning rule assigned.
In strict mode (default) missing earning rules or missing assignments cause the whole
batch to fail.
curl --request POST \
--url https://{cluster}.voucherify.io/v2/loyalties/programs/{programId}/earning-rules/batch \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"assign": [
{
"id": "<string>"
}
],
"unassign": [
{
"id": "<string>"
}
],
"options": {
"strict": true
}
}
'{
"assigned": [
{
"earning_rule_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "program_earning_rule"
}
],
"unassigned": [
{
"earning_rule_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "program_earning_rule"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Identifies the loyalty program. Format lprg_[a-f0-9]+.
^lprg_[a-f0-9]+$Body
Request body schema for POST /v2/loyalties/programs/{programId}/earning-rules/batch.
Response
Batch processing result.
Response body schema for POST /v2/loyalties/programs/{programId}/earning-rules/batch.

